# Changelog

## 2024-10-04 - 1.1.0 - feat(SzPlatformClient)
Add debug mode functionality to SzPlatformClient and SzEmailConnector

- Introduced a debug mode in SzPlatformClient to handle authorization in test scenarios.
- Updated SzEmailConnector to log emails and early return in debug mode for testing purposes.

## 2024-10-02 - 1.0.11 - fix(email,sms)
Reorder debug logging to avoid confusion in email and sms connectors

- Reordered the logging after request creation in `sendEmail` method of `SzEmailConnector`
- Reordered the logging after request creation in `sendSms` method of `SzSmsConnector`

## 2024-10-02 - 1.0.10 - fix(build)
Fix build script configuration and plugins import path

- Corrected the build script in package.json to include tsfolders parameter
- Fixed the import path for plugins in classes.infohtml.ts

## 2024-10-02 - 1.0.9 - fix(infohtml)
Refactor infohtml module and fix import paths

- Refactored ts_infohtml module.
- Fixed incorrect import paths in ts_infohtml module.
- Ensured that the InfoHtml class and related templates are properly imported and used.

## 2024-10-02 - 1.0.8 - fix(core)
Maintain dependencies, update metadata

- No changes detected

## 2024-10-02 - 1.0.7 - fix(core)
Update dependencies and add logging for email and SMS functions

- Updated devDependencies and dependencies in package.json
- Added logger import and logging statements in classes.emailconnector.ts and classes.smsconnector.ts
- Fixed formatting issues in test/test.ts
- Cleaned up and removed unused imports in index.ts and plugins.ts

## 2024-07-26 - 1.0.6 - fix(core)
Update @types/node dependency version

- Dependencies updated: @types/node updated from ^20.14.11 to ^20.14.12

## 2024-07-23 - 1.0.5 - fix(dependencies)
Updated dependencies to latest versions and removed unused service server class

- Updated devDependencies and dependencies to their latest versions in package.json
- Removed the unused ServiceServer class
- Updated index.ts to reflect changes in imports

## 2024-05-11 - 1.0.3 to 1.0.4 - General Updates
Maintenance updates

- Fix(core): update

## 2024-02-17 - 1.0.1 to 1.0.3 - General Updates
Maintenance updates

- Fix(core): update